%global         momorel 9

Name:           perl-POE-API-Peek
Version:        2.20
Release:        %{momorel}m%{?dist}
Summary:        Peek into the internals of a running POE environment
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/POE-API-Peek/
Source0:        http://www.cpan.org/authors/id/B/BI/BINGOS/POE-API-Peek-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Devel-Size
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-POE >= 1.350
BuildRequires:  perl-Test-Simple
Requires:       perl-Devel-Size
Requires:       perl-POE >= 1.350
Requires:       perl-Test-Simple
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
POE::API::Peek extends the POE::Kernel interface to provide clean access to
Kernel internals in a cross-version compatible manner. Other calculated
data is also available.

%prep
%setup -q -n POE-API-Peek-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{perl_vendorlib}/POE/*
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20-9m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20-8m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20-7m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20-6m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20-5m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20-4m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20-2m)
- rebuild against perl-5.16.0

* Mon Jan 16 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20-1m)
- update to 2.20
- fix https://rt.cpan.org/Public/Bug/Display.html?id=73393

* Fri Dec 30 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.19-3m)
- some tests fail due to POE-1.350
- see https://rt.cpan.org/Public/Bug/Display.html?id=73393

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.19-2m)
- rebuild against perl-5.14.2

* Wed Aug 10 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.19-1m)
- update to 2.19

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.17-2m)
- rebuild against perl-5.14.1

* Sat May 28 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.17-1m)
- update to 2.17

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.16-4m)
- rebuild against perl-5.14.0-0.2.1m
- ignore some test failures...

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.16-3m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.16-2m)
- rebuild for new GCC 4.5

* Sun Oct 03 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.16-1m)
- update to 2.16
- Specfile re-generated by cpanspec 1.78.

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-8m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.34-7m)
- full rebuild for mo7 release

* Fri Jul 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-6m)
- rebuild with POE-1.291

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-4m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.34-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-2m)
- rebuild against perl-5.10.1

* Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
